commit:     55ab673e5dc7c04fa77082bd4aef82e1f7a069ae
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 22 20:55:14 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 22 23:56:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55ab673e

dev-python/werkzeug: Bump to 0.16.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/werkzeug/Manifest               |  1 +
 dev-python/werkzeug/werkzeug-0.16.0.ebuild | 39 ++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/werkzeug/Manifest b/dev-python/werkzeug/Manifest
index eca76123547..55b4add8cae 100644
--- a/dev-python/werkzeug/Manifest
+++ b/dev-python/werkzeug/Manifest
@@ -2,3 +2,4 @@ DIST Werkzeug-0.12.2.tar.gz 1169770 BLAKE2B 
12e7e422e7dae0ab2fc3cc52f80536362dea
 DIST Werkzeug-0.14.1.tar.gz 1185546 BLAKE2B 
4c358688752adce870e8b44ffede56e44ab26990f12c98cc75a7c7e0d40b1f39f4208237ed26a2acb1f78a3359272cb44bab4606c5bca55a5c5f5edfa22c9faa
 SHA512 
64976cc46c1cee2203112c50aba6f9404d4e48d4a90f8b11837148b5415a28572b7e706095586045a46879e853fc5a80c63e7bf0c13eda29d564a37b4a554c0b
 DIST Werkzeug-0.15.4.tar.gz 925334 BLAKE2B 
ffb132026e5a43bdbbb6decf19c47b07bb38afe383fc6b769a793f9e72769bdb5a9507918590d485b9a84e8db392202fe985b0cd1fa00e8af17eccbf53bcdaec
 SHA512 
b27b313cb29128ad1a1d0b04be7d1b29eacd4fb8280757510ce662b4f8743e7311966f7fb170531bd5dcb9668e9c6672f0cc0cf53bb4af3ec7328312a88b53ab
 DIST Werkzeug-0.15.5.tar.gz 926570 BLAKE2B 
39d68f7ea2f99ffa60f5a2af7ebf8a01e68a83e32106abd8fcbba3a5402bf6c6c02f7bb9b84cd483aa061bb065a0f2f6d809db55a2f6950996d70cf62a620520
 SHA512 
e2980b649db0c246fa87b94972f1a1e00b19f20a90e34733267cb50b0d1c8e83701f4bde3e466f9f12243c47b3cc40c6977e63164f18ee5e518b75e952988edd
+DIST werkzeug-0.16.0.gh.tar.gz 939220 BLAKE2B 
08f77bfbb8703b25be00dba018e9aea16cb4a6977ff3906f636fe24b4e16662f7777584839c8e153532f32a0551281a6fb28bf618da5d5e6c42cdc6e8b391162
 SHA512 
78e7d2ccceb8764f92a3252b2ff670065a42fe2ad1d2b4631e05c107d2128f8f6f4090e32bd975526e4b5985dbbdbac22e9ad1514d14e88ecfb064483107d0ed

diff --git a/dev-python/werkzeug/werkzeug-0.16.0.ebuild 
b/dev-python/werkzeug/werkzeug-0.16.0.ebuild
new file mode 100644
index 00000000000..2543d391d0d
--- /dev/null
+++ b/dev-python/werkzeug/werkzeug-0.16.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} pypy{,3} )
+
+inherit distutils-r1
+
+MY_PN="Werkzeug"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Collection of various utilities for WSGI applications"
+HOMEPAGE="http://werkzeug.pocoo.org/ https://pypi.org/project/Werkzeug/ 
https://github.com/pallets/werkzeug";
+#SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+SRC_URI="https://github.com/pallets/werkzeug/archive/${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+
+RDEPEND="dev-python/simplejson[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # dev_server seems to be broken with PyPy
+       # https://github.com/pallets/werkzeug/issues/1668
+       # TODO: exclude only failing tests
+       [[ ${EPYTHON} == pypy ]] && continue
+
+       pytest -vv -p no:httpbin || die "Tests fail with ${EPYTHON}"
+}

Reply via email to